
AUTO_HTML = \
  gmetadom.css \
  Char.html \
  DOMString.html \
  DOMException.html \
  Attr.html \
  CDATASection.html \
  CharacterData.html \
  Comment.html \
  DOMImplementation.html \
  Document.html \
  DocumentFragment.html \
  DocumentType.html \
  Element.html \
  Entity.html \
  EntityReference.html \
  NamedNodeMap.html \
  Node.html \
  NodeList.html \
  Notation.html \
  ProcessingInstruction.html \
  Text.html \
  Event.html \
  EventListener.html \
  EventTarget.html \
  MutationEvent.html
#  DocumentEvent.html \
#  UIEvent.html
#  MouseEvent.html \
#  EventCapturer.html \

noinst_DATA = \
  index.html \
  $(AUTO_HTML)

EXTRA_DIST = \
  index.html \
  $(AUTO_HTML)

CLEANFILES = $(AUTO_HTML)

XML2HTML = $(srcdir)/../xsl/xml2html.xsl

gmetadom.css : $(top_srcdir)/doc/html/gmetadom.css
	cp $< $@

if HAVE_SED_COND

%.html : $(top_srcdir)/src/shared/%.html.in
	$(SED) s/@DOM_NAMESPACE@/GdomeSmartDOM/ <$< >$@
	
endif

if HAVE_XSLTPROC_COND

%.html : $(top_srcdir)/xml/DOM/Core/%.xml $(XML2HTML)
	$(XSLTPROC) --param date "'`date`'" --param uriprefix "'$(top_srcdir)/xml/DOM/Core'" $(XML2HTML) $< >$@

%.html : $(top_srcdir)/xml/DOM/Events/%.xml $(XML2HTML)
	$(XSLTPROC) --param date "'`date`'" --param uriprefix "'$(top_srcdir)/xml/DOM/Events'" $(XML2HTML) $< >$@

endif


